#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gexiv2-0.12.2

- Next

  Zenity-3.32.0

- Up
- Home

# Nautilus-3.38.2

## Introduction to Nautilus

The Nautilus package contains the GNOME file manager.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/nautilus/3.38/nautilus-3.38.2.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/nautilus/3.38/nautilus-3.38.2.tar.xz

- Download MD5 sum: a94c730fe79104859035ae51e0ba0bd7

- Download size: 3.1 MB

- Estimated disk space required: 154 MB (with tests)

- Estimated build time: 0.3 SBU (with tests, at -j4)

### Nautilus Dependencies

#### Required

bubblewrap-0.4.1, gexiv2-0.12.2, gnome-autoar-0.3.0, gnome-desktop-3.38.4, libnotify-0.7.9, libseccomp-2.5.1, and tracker-miners-3.0.4

#### Recommended

desktop-file-utils-0.26, Exempi-2.5.2, gobject-introspection-1.66.1, gst-plugins-base-1.18.3, and libexif-0.6.22

#### Optional

GTK-Doc-1.33.2

#### Recommended (Runtime)

adwaita-icon-theme-3.38.0 and Gvfs-1.46.2 (For hotplugging and device mounting to work)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/nautilus

## Installation of Nautilus

Install Nautilus by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr      \
          -Dselinux=false    \
          -Dpackagekit=false \
          .. &&

    ninja

To test the results, issue: ninja test. The tests need to be run in a graphical environment.

Now, as the `root` user:

    ninja install

### Note

If you installed the package to your system using a “DESTDIR” method, `/usr/share/glib-2.0/schemas/gschemas.compiled` was not updated/created. Create (or update) the file using the following command as the `root` user:

    glib-compile-schemas /usr/share/glib-2.0/schemas

## Command Explanations

`-Dselinux=false`: This switch disables the use of selinux which isn't supported by BLFS.

`-Dpackagekit=false`: This switch disables the use of PackageKit which isn't suitable for BLFS.

## Contents

Installed Programs: nautilus and nautilus-autorun-software
Installed Library: libnautilus-extension.so
Installed Directories: /usr/{include,lib,share}/nautilus, /usr/share/gnome-shell/search-providers, and /usr/share/gtk-doc/html/libnautilus-extension (optional)

### Short Descriptions

nautilus | is the GNOME file manager
`libnautilus-extension.so` | supplies the functions needed by the file manager extensions

Last updated on 2021-02-25 10:01:25 -0800

- Prev

  gexiv2-0.12.2

- Next

  Zenity-3.32.0

- Up
- Home